{% extends "base.html" %}
{% load static %}
{% block titulo %}
Desbloquear Cuentas Corriente
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navIE").attr('class','active');
  $("#navAutorizaCtaCte").attr('class','active');
</script>
<div class="row">
  <div class="col-md-12" >
    <div class="panel panel-default" >
      <div class="panel-heading panel-toolbar"> 
        <strong>LISTADO DE SOLICITUDES DE CUENTAS CORRIENTETE</strong>
        <button type="button" class="btn btn-default btn-sm" id="btnRefrescar">Actualizar</button>
      </div>
      <div class="panel-body">
        <div class="row myb-4">
            <div class="col-md-2">
                <div class="select">
                  <select class="form-control form-control-sm" id="comboFiltroFso">
                    <option value="h">Hoy</option>
                    <option value="f">Fecha</option>
                    <option value="ef">Entre Fechas</option>
                  </select>
                </div>
              </div>
              <div class="col-md-2" id="div-f1">
                <input type='text' class=" form-control" id="txtfecha1so" autocomplete="off">
              </div>
              <div class="col-md-2" id="div-f2">
                <input type='text' class="form-control" id="txtfecha2so" autocomplete="off">
              </div>
              <div class="col-md-1" align="center">
                <button type="button" class=" btn btn-sm btn-danger" id="buscarFso"> FILTRAR</button>
              </div>
          </div>
           <div class="row">
            <div class="col-md-4">
              <div class="fg-line">
              <input type="text" class="form-control" placeholder="Nombre, Apellidos o DNI Cliente" id="filtro">
              </div>
              <p></p>
            </div>
            <div class="col-md-1" >
              <button type="button" class="btn btn-primary btn-block btn-sm" id="buscar"><i class="fa fa-search"></i> Buscar</button>
              <p></p>
            </div>
            <div class="col-md-2">
              <div class="checkbox">
                  <label class="">
                    <input id="ts4" type="checkbox" value="success-inverse1"> Solo activos
                  </label>
              </div> 
             </div> 

          </div>
        <div class="row">
          <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover">
                    <thead>
                      <tr>
                        <th>Fecha<br>sol. Aut</th>
                        <th>Operación</th>
                        <th>Personal Sol.</th>
                        <th>Estado Aut.</th>
                        <th>Monto Sol</th>

                        <th>DNI/RUC</th>
                        <th>Cliente</th>
                        <th>Fecha Apertura</th>
                        <th>Oficia de Apertura</th>
                        <th>Saldo</th>
                        <th>Moneda</th>
                        <th>Estado</th>
                      </tr>
                    </thead>
                    <tbody id="listaC">
                        
                    </tbody>
                </table>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- modificar cuentas -->
<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <label class="modal-title" id="myModalLabel">Detalles</label>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-6" >
              <div class="panel panel-default">
                <div class="panel-heading"> <strong>Detalle de Cliente</strong></div>
                  <div class="panel-body">
                    <div class="row">
                      <div class="col-md-2">
                        <label id="dniRUC"> DNI/RUC </label>
                      </div>
                      <div class="col-md-6">
                         <input type="text" class="form-control" id="txtDNIcli" disabled="disabled" name="DniCli" readonly>
                      </div>

                    </div>
                    <br>
                    <div class="row">
                       <div class="col-md-12">
                          <label class="radio-inline">
                            <input type="radio"id="rbNatural" name="TipoPersona1" value="natural" disabled> Persona Natural
                          </label>
                          <label class="radio-inline">
                            <input type="radio"id="rbJuridica" name="TipoPersona1" value="natural" disabled> Persona Juridica
                          </label>
                          <p></p>
                      </div>
                    </div>
                    <p></p>
                    <div class="row">
                        <div class="col-md-3"> 
                          <label id="nombreRazon">Nombres</label> 
                        </div>
                        <div class="col-md-9">
                          <input type="text" class="form-control" id="txtNombre" name="NombreCli" readonly>  
                        </div> 
                    </div>
                    <p></p>
                    <div class="row" id="campoAp2">
                      <div class="col-md-5" > 
                        <label>Apellido Paterno</label> 
                      </div>
                      <div class="col-md-7">
                        <input type="text" class="form-control" id="txtAPcli" name="PaternoCli" readonly>  
                      </div> 
                        
                    </div>
                    <p></p>
                    <div class="row">
                      <div class="col-md-5" > 
                          <label>Apellido Materno</label> 
                        </div>
                        <div class="col-md-7">
                          <input type="text" class="form-control" id="txtAMcli" name="MaternoCli" readonly>  
                        </div> 
                    </div>
                  </div>
              </div>
          </div>
          <div class="col-md-6">
            <div class="row">
              <div class="panel panel-success">
                <div class="panel-heading"> <strong>Detalle de Cuenta</strong></div>
                <div class="panel-body">
                  <div class="row">
                      <div class="col-md-2"> 
                        <label id="">ID</label> 
                      </div>
                      <div class="col-md-5">
                        <input type="text" class="form-control" id="txtpk"readonly>  
                      </div> 
                  </div>
                  <input type="text" id="txt-pk-soli" style="display:none;">
                  <p></p>
                  <div class="row">
                      <div class="col-md-5"> 
                        <label id="">Fecha Apertura</label> 
                      </div>
                      <div class="col-md-6">
                        <input type="text" class="form-control" id="txtfecha" readonly>  
                      </div> 
                  </div>
                  <p></p>
                  <div class="row">
                      <div class="col-md-10">
                        <div class="col-sm-3">
                          <label class="control-label ">Moneda</label>
                        </div>
                        <div class="col-sm-6" style="padding-right: 0px;padding-left: 0px;">
                           <select class="form-control" id="Cmoneda" disabled>
                              <option value="soles">Soles</option>
                              <option value="dolares">Dolares</option>
                            </select>
                        </div>
                      </div>
                    </div>
                    <p></p>
                  <div class="row">
                    <div class="col-md-3" > 
                        <label>Saldo</label> 
                      </div>
                      <div class="col-md-9">
                        <div class="input-group">
                          <input type="text" class="form-control" id="txtsaldo" aria-describedby="sp_s" readonly>
                          <span class="input-group-addon sp-moneda" id="sp_s">S/</span>
                        </div>  
                      </div> 
                  </div>
                  <p></p>

                </div>
              </div>
            </div>
            <!--
            <div class="row">
              <div class="panel panel-default">
                <div class="panel-heading"> <strong>Configurar cta</strong></div>
                <div class="panel-body">
                  <div class="row">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-primary btn-block btn-xs" type="button" id="btnBloquearRetiro" value="Bloquear Retiros">
                    </div>

                    <div class="col-md-5">
                      <input class="btn btn-danger btn-block btn-xs" type="button" id="btnCerrarCta" value="Cerrar Cuenta">
                    </div>
                  </div>
                  <p></p>
                  <div class="row">
                    <div class="col-md-5 col-md-offset-1">
                      <input class="btn btn-success btn-block btn-xs" type="button" id="btnHabilitarRetiro" value="Habilitar Retiros">
                    </div>

                    <div class="col-md-5">
                      <input class="btn btn-success btn-block btn-xs" type="button" id="btnHabilitarCta" value="Habilitar Cuenta">
                    </div>
                  </div>
                </div>
              </div>
            </div>
            -->
          </div>
        </div>
        <div class="row">
          <div class="col-md-2">
            <input class="btn btn-primary btn-block btn-sm" type="button" id="movimientos" value="Movimientos">
          </div>
        </div>
        <p></p>
        <div class="row">
          <div class="col-md-12 center">
            <button type="button" class="btn btn-warning btn-sm"id="extornarT">Autorizar Operacion</button>
          </div>
        </div>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>

<!--  movimiento de cuentas ctes -->
<div id="modal_movimientos" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <label class="modal-title" id="myModalLabel">Movimientos</label>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-md-2">
              <h5>Filtrar</h5>
            </div>
            <div class="col-md-3">
              <div class="select">
                <select class="form-control" id="comboFiltroF">
                  <option value="h">Hoy</option>
                  <option value="f">Fecha</option>
                  <option value="ef">Entre Fechas</option>
                </select>
              </div>
              <p></p>
            </div>
            <div class="col-md-2">
              <input type='text' class=" form-control" id="txtfecha1">
              <p></p>
            </div>
            <div class="col-md-2">
              <input type='text' class="form-control" id="txtfecha2">
            </div>
            <div class="col-md-2">
              <button type="button" class=" btn btn-block btn-primary" id="buscarF"><i class="fa fa-search"></i> Buscar</button>
              <p></p>
            </div>
          </div>
        <div class="row">
          <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-hover" id="tablaMo">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th>Fecha Operacion</th>
                        <th>Monto Deposito</th>
                        <th>Monto Retiro</th>
                        <th>Saldo</th>
                        <th>Moneda</th>
                        <th>T/D</th>
                        <th>N/R</th>
                        <th>Concepto Detalle</th>
                        <th>Observaciones</th>
                        <th>Oficina</th>
                        <th>Caja</th>
                        <th>Operador</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody id="listaM">
                        
                    </tbody>
                </table>
              </div>
          </div>
        </div>
        <p></p>
        <div class="row">
          <div class="col-md-3">
            <input class="btn btn-inverse btn-block" type="button" id="imprimir_movimientos" value="Imprimir Movimientos">
          </div>

        </div>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div>
<div id="modal_confirmacion" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <br>
        </div>
        <div class="modal-body alert alert-warning"role="alert">
          <div class="row">
            <div class="col-md-12">
              <div class="row grp_alr" align="center">
                 <h4 >¿AUTORIZAR OPERACION?</h4>
              </div>

              <div class="row grp_alr" align ="center">
                <label>Esta accion sera irreversible!</label>
              </div>

              <div class="row grp_alr">
                <div class="col-md-4 col-md-offset-2">
                  <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Cancelar</button>
                </div>
                <div class="col-md-4">
                  <button type="button" class="btn btn-danger btn-block" id="alert_aceptar">AUTORIZAR</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<script type="text/javascript">
  var Aux="";
  var AuxM=[];
  var AuxSo=[];
  var filaInM=0;
  var filaI =0;
  var  filtro={};
  var movimiento="";
  var noplazo ='no';
  var tipo_fi='f';
  $(document).ready(function () {
    
    //----
      $('#txtfecha1so').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      $('#txtfecha2so').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      //
      $("#div-f1").hide();
      $("#div-f2").hide();
      //
      $("#comboFiltroFso").change(function(){
        if($("#comboFiltroFso").val()=="ef"){
          $("#div-f1").show();
          $("#txtfecha1so").prop("value","");
          $("#div-f2").show();
          $("#txtfecha2so").prop("value","");
        }
        if($("#comboFiltroFso").val()=="f"){
          $("#txtfecha1so").prop("value","");
          $("#div-f1").show();
          $("#txtfecha2so").prop("value","");
          $("#div-f2").hide();
        }
        if($("#comboFiltroFso").val()=="h"){
          $("#txtfecha1so").prop("value","");
          $("#div-f1").hide();
          $("#txtfecha2so").prop("value","");
          $("#div-f2").hide();
        }
      });
      //
      $("#buscarFso").click(function(){
        tipo_fi="f";
        ajax_ctas();
      })
      $("#alert_aceptar").click(function(){
          ajax_solicitudAutorizacion(Aux[filaI].pk);
          $('#myModal').modal('hide')
      });
      function ajax_solicitudAutorizacion(idTransf){
        $.ajax({
          data:{'idCta':idTransf,'idSoli':$("#txt-pk-soli").val()},
          url:'/autorizar_cta_main_fetch/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            if(data.exito=='exito'){
              $('#modal_confirmacion').modal('hide');
              bootbox.alert({ 
                message: "La operación se autorizó",
                className: 'bb-alternate-modal'
              }); 

              ajax_ctas();
            }
            else{
              $('#modal_confirmacion').modal('hide');
              /*
              bootbox.alert({ 
                message: "La Operación falló",
                className: 'bb-alternate-modal'
              }); 
              */
              swal("Error", data.exito, "error");
            }

          }
        });
      };
      //
    $("#extornarT").click(function(){//boton q llama ala confirmacion
        $('#modal_confirmacion').modal('show');
      });
    // fechas de movimientosd
    $('#txtfecha_form').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
    });
    $('#txtfecha1').datetimepicker({
      locale: 'es',
      format: 'YYYY-MM-DD'
    });
    $('#txtfecha2').datetimepicker({
      locale: 'es',
      format: 'YYYY-MM-DD'
    });
    //
    $("#txtfecha1").hide();
    $("#txtfecha2").hide();
    //
    $("#comboFiltroF").change(function(){
      if($("#comboFiltroF").val()=="ef"){
        $("#txtfecha1").show();
        $("#txtfecha1").prop("value","");
        $("#txtfecha2").show();
        $("#txtfecha2").prop("value","");
      }
      if($("#comboFiltroF").val()=="f"){
        $("#txtfecha1").prop("value","");
        $("#txtfecha1").show();
        $("#txtfecha2").hide();
      }
      if($("#comboFiltroF").val()=="h"){
        $("#txtfecha1").prop("value","");
        $("#txtfecha1").hide();
        $("#txtfecha2").prop("value","");
        $("#txtfecha2").hide();
      }
    });
    $("#buscarF").click(function(){
      ajax_ctas_movimientos();
    })
    $('#txtDniC').numeric();

    $('input').on('keypress', function(e){
      if(e.keyCode == 13)
      {
        var inputs = $(this).parents("form").eq(0).find(":input.form-control");
        var idx = inputs.index($(this));
        if (idx == inputs.length - 1) {
          inputs[0].select()
        } 
        else {
          inputs[idx + 1].focus(); //  handles submit buttons
          inputs[idx + 1].select();
        }
        return false;
      }
    });

    ajax_ctas();
    $(document).on("click",".filaC",function(){
      var num = $(this).attr('id');
      filaI = num;
      var fila= $(this).attr('class');
      //$("."+fila).attr('class','filaC');
      //$("#"+num).attr('class','filaC ');
       $("#formulario").prop('action','#');
      $("#btnprocesar").prop('value',"");
      $("#text_movi").text("");
      $("#txtpk").attr('value',null)
      $("#txt-pk-soli").attr('value',null)
      $("#txtpk_form").attr('value',null)
      $("#txtpk_cta_sobregiro_form").attr('value',null)
      $("#txtDNIcli").attr('value',null)
      $("#txtNombre").prop('value',null);
      $("#txtAPcli").prop('value',null);
      $("#txtAMcli").prop('value',null);
      $("#txtfecha").prop('value',null);
      $("#txtsaldo").prop('value',null);
      $("#txtsaldo_sobregiro_form").prop('value',null);
      $("#txtsaldo_form").prop('value',null);
      //-----------
      if(Aux[filaI].agente==='si'){
        $("#div-recarga").show();
        $("#div-reti-depo").hide();
      }
      else{
        $("#div-recarga").hide();
        $("#div-reti-depo").show();
      }
      //-------------------------
      if(Aux[filaI].tp == 'Natural'){
        $("#dniRUC").text("DNI");
        $("#nombreRazon").text("Nombres");
        $("#rbNatural").prop("checked", true);
        $("#txtDNIcli").attr('value',Aux[filaI].dni);
        $("#campoAp1").show();
        $("#campoAp2").show();
      }
      else{
        $("#dniRUC").text("RUC");
        $("#nombreRazon").text("Razon Social");
        $("#rbJuridica").prop("checked", true);
        $("#txtDNIcli").attr('value',Aux[filaI].dni);
        $("#campoAp1").hide();
        $("#campoAp2").hide();
      }
      $("#txtpk").attr('value',Aux[filaI].pk)
      $("#txt-pk-soli").prop("value",Aux[filaI].so_pk);
      $("#txtpk_form").attr('value',Aux[filaI].pk)
      $("#txtpk_cta_sobregiro_form").attr('value',Aux[filaI].pk)
      $("#txtDNIcli").attr('value',Aux[filaI].dni)
      $("#txtNombre").prop('value',Aux[filaI].nom);
      $("#txtAPcli").prop('value',Aux[filaI].ap);
      $("#txtAMcli").prop('value',Aux[filaI].am);
      $("#txtfecha").prop('value',Aux[filaI].fa);
      $("#txtsaldo").prop('value',Aux[filaI].saldo);
      $("#txtsaldo_form").prop('value',Aux[filaI].saldo);
      $("#txtsaldo_sobregiro_form").prop('value',Aux[filaI].saldo);
      $("#Cmoneda").prop('value',Aux[filaI].moneda);
      if(Aux[filaI].moneda == 'soles'){
        $(".sp-moneda").text('S/');
      }
      if(Aux[filaI].moneda == 'dolares'){
        $(".sp-moneda").text('$');
      }
    });

    $("#btnRefrescar").click(function(){
      ajax_ctas();
    });
  
    $("#ts4").click(function(){
      if($("#ts4").prop("checked")){ 
        tipo_fi="a";
      } else {
        tipo_fi="f";
        
      }
      ajax_ctas();
      
    });


    $("#movimientos").click(function(){
      $("#modal_movimientos").modal('show');
      $('#listaM').html('');
      AuxM=[];
      ajax_ctas_movimientos();
    })
    function ajax_ctas(){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        data:{'tipo':tipo_fi,
            'filtro':$("#comboFiltroFso").val(),
            'F1':$("#txtfecha1so").val(),
            'F2':$("#txtfecha2so").val(),
            'razon':$("#filtro").val()
          },
        url:'/listaSolicitudesCtaAhorrosCte_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          Aux = data;
          var html ="";
          var sty='';
          for(var i=0;i<data.length;i++){
            if(data[i].estado=='cerrado'){
              sty='danger';
            }
            else{
              if(data[i].estado=='depositos'){
                sty="warning";
              }
              else{
                sty='';
              }
            }
            if(data[i].agente==='si'){
              sty='info';
            }
            html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" data-keyboard="false" class="filaC '+ sty +'" id="'+i+'"><td class="blue-text text-darken-3" style="width:200px;">'+data[i].so_fecha+'</td><td style="color:blue;">'+data[i].so_tabla+'</td><td style="color:red;">'+data[i].so_oficina +' - '+data[i].so_personal+'</td><td class="blue-text text-darken-3"><b>'+data[i].so_estado_au.toUpperCase()+'</b></td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].so_monto+'</td><td>'+data[i].dni+'</td><td>'+data[i].nom+' '+data[i].ap+'</td><td>'+data[i].fa+'</td><td>'+data[i].oa+'</td><td>'+data[i].saldo+'</td><td>'+data[i].moneda+'</td><td>'+data[i].estado+'</td></tr>';

             
          }
          $('#listaC').html(html);
          $('.table-responsive').waitMe('hide');
        }
      });
    }
    //
    function ajax_ctas_movimientos(){
      $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
      $.ajax({
        data:{'pkCta':$("#txtpk").val(), 'filtro':$('#comboFiltroF').val(),'F1':$('#txtfecha1').val(),'F2':$('#txtfecha2').val()},
        url:'/lista_Movi_cuentasAhorrosCte_activos_main_ajax/',
        type:'GET',
        dataType:'json',
        success: function(data){
          AuxM= data;
          var html ="";
          for(var i=0;i<data.length;i++){
              html += '<tr><th scope="row">'+(i+1)+'</th><td>'+data[i].fecha+'</td><td>'+data[i].deposito+'</td><td>'+data[i].retiro+'</td><td>'+data[i].saldo+'</td><td>'+data[i].moneda+'</td><td>'+data[i].td+'</td><td>'+data[i].nr+'</td><td>'+data[i].concepto+'</td><td>'+data[i].obs+'</td><td>'+data[i].oficina+'</td><td>'+data[i].caja+'</td><td>'+data[i].ope+'</td><td ><button type="button" class="btn reimprimir btn-primary btn-sm" data-value="'+i+'"><span class="glyphicon glyphicon-print" aria-hidden="true"></span></button></td></tr>';
          }
          $('#listaM').html(html);
          $('.table-responsive').waitMe('hide');
          $('.reimprimir').click(function(){
            var ind=$(this).attr('data-value');
            reimprimirMovimiento(ind)
          });
        }
      });
    }
    //
    function reimprimirMovimiento(i){
      var usuario='{{user.username}}'
      //var dniRecibo='{{dniRecibo}}'
      $("#nroRe").text(AuxM[i].nr);
      $("#tdRE").text(AuxM[i].td);
      $("#dni").text(AuxM[i].dni);
      $("#recibi").text(AuxM[i].nombre);
      if(AuxM[i].moneda=="soles")
      {
        mr="S/. "
      }
      else
      {
        mr="$/. "
      }
      $("#horaRecibo").text(AuxM[i].hora_ope);
      $("#fechaRecibo").text(AuxM[i].fecha_ope);
      if (AuxM[i].td=='R/I'){
        $("#importe").text(mr+AuxM[i].deposito);
        $("#operacion").text('DEPOSITO')
      }
      else{
        $("#importe").text(mr+AuxM[i].retiro);
        $("#operacion").text('RETIRO')
      }
      $("#oficinaRecibo").text(AuxM[i].oficina);
      $("#concepto").text(AuxM[i].concepto);
      $("#operador").text(AuxM[i].ope);
      $("#saldo").text(AuxM[i].saldo);
      $("#recibi1").text("Sr(a): "+AuxM[i].nombre.substring(0,15));
      $("#platillaI").printThis();
    }

     $(document).on('show.bs.modal', '.modal', function () {
        var zIndex = 1040 + (10 * $('.modal:visible').length);
        $(this).css('z-index', zIndex);
        setTimeout(function() {
            $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
        }, 0);
    });
    $(document).on('hidden.bs.modal', '.modal', function () {
        $('.modal:visible').length && $(document.body).addClass('modal-open');
    });

    $("#imprimir_movimientos").click(function(){
        var d = new Date();
        var n = d.toLocaleString();

        var doc = new jsPDF('p', 'pt');
        var res = doc.autoTableHtmlToJson(document.getElementById("tablaMo"));
        doc.setFontSize(14);
        doc.text("Reporte Movimientos Cuenta Ahorro Corriente", 20, doc.autoTableEndPosY() + 30);
        doc.setFontSize(8);
        doc.text('Socio: '+$("#txtNombre").val()+' '+$("#txtAPcli").val()+' '+$("#txtAMcli").val(), 20, 60);
        doc.text('DNI/RUC: '+$("#txtDNIcli").val(), 20, 80);
        doc.text('Fecha: '+n, 20, 100);
        doc.autoTable(res.columns, res.data, {
            fontSize: 7,
            margin: {horizontal: 20},
            startY: doc.autoTableEndPosY() + 120,
            margin: {horizontal: 10},
            styles: {overflow: 'linebreak'},
            bodyStyles: {valign: 'top'},
            columnStyles: {email: {columnWidth: 'wrap'}},
            theme: 'grid',
        });
        doc.save('reporteMovimientosCtaCte.pdf');
    })
});
</script>
{% endblock content1 %}